<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>

	<meta charset="UTF-8" />
	<title>The Bookshop</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />

	<!-- See configuration in WebMvConfig.java -->
	<link th:href="@{/bootstrap/css/bootstrap.min.css}" rel="stylesheet"
		media="screen" />
	
	<script th:src="@{/jquery/jquery.min.js}"></script>
	<script th:src="@{/popper/popper.min.js}"></script>
	<script th:src="@{/bootstrap/js/bootstrap.min.js}"></script>

</head>

<body th:with="loggedIn=${session.customerSession.loggedIn()},username=${session.customerSession.username}">

	<h2 style="text-align: center">Welcome to the Bookshop</h2>
	
	<img th:src="@{/images/books-top.png}"
		style="width: 55vw; min-width: 300px; display: block; margin-left: auto; margin-right: auto;" />

	<div class="col text-center">
		<p>
		<p	th:if="${loggedIn}"
			th:text="'logged in as ' + ${username}"
			style="font-style: italic;" />
		<p>
			Browse all <a th:href="@{/books}">Books</a> 
			 | <a th:href="@{/authors}">Authors</a>
			 | <a th:href="@{/genres}">Genres</a>
		</p>
		<p>
	</div>

	<div class="col text-center">
		<p th:if="${!loggedIn}">
			<a th:href="@{/login}" class="btn btn-primary">Login</a>
			<a th:href="@{/register}" class="btn btn-secondary">Register</a>
		</p>
		<p th:if="${loggedIn}">
			<a th:href="@{/logout}" class="btn btn-primary">Logout</a>
			<a th:href="@{/update}" class="btn btn-secondary">Account</a>
			<a th:href="@{/orders}" class="btn btn-secondary">Orders</a>
		</p>
	</div>
	
	<p>

	<img th:src="@{/images/shop.jpg}"
		style="width: 55vw; min-width: 300px; display: block; margin-left: auto; margin-right: auto;" />

	<p>
	
	<img th:src="@{/images/books-bottom.png}"
		style="width: 55vw; min-width: 300px; display: block; margin-left: auto; margin-right: auto;" />

</body>
</html>
